#include "../include/RamLock.h"

namespace environnement {
namespace ramlock {

  std::ostream& operator<< (std::ostream& output, environnement::ramlock::RamLock & x)
  {
    output << "<" << x._name << ">" << std::endl;
    output << " * size        : " << x._param->_size      << std::endl;
    
    for (uint32_t it = 0; it < x._param->_size; it ++)
      {
	if (it % 32 == 0)
	  output << std::endl;
	
	output << x._lock [it] << " ";
      }
    output << std::endl;
    
    return output;

  }

};
};
